﻿<?xml version='1.0' encoding='utf-8' standalone='no' ?>
<!-- -*- Mode: xml; c-basic-offset: 4; indent-tabs-mode: nil; tab-width: 4 -*- -->
<!-- vi: set ts=4 sw=4 expandtab: (add to ~/.vimrc: set modeline modelines=5) -->
<!-- ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is [Open Source Virtual Machine.].
 *
 * The Initial Developer of the Original Code is
 * Adobe System Incorporated.
 * Portions created by the Initial Developer are Copyright (C) 2004-2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Adobe AS3 Team
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** -->

<errors>  This table contains all of the error messages generated by core
  avmplus.  This will likely be replaced by a resource table
  for easy localization.
  %o = ScriptObject*
  %t = Traits*
  %m = MethodInfo*
  %n = Multiname (name portion only)
  %N = Multiname (namespace portion only)
  %a = Atom
  %d = int
  %f = double
  %S = Stringp
  %s = char*

  <error id="1000" label="kOutOfMemoryError">The system is out of memory.
<description><![CDATA[
        Flash Player needs more memory to compile your code than your system has available.
        Close some of the applications or processes running on your system.
    ]]></description></error>

  <error id="1001" label="kNotImplementedError">The method %1 is not implemented.</error>
  <error id="1002" label="kInvalidPrecisionError">Number.toPrecision has a range of 1 to 21. Number.toFixed and Number.toExponential have a range of 0 to 20. Specified value is not within expected range.
<description><![CDATA[
        You specified a value that is not within the expected range of the <code>precision</code> argument. Number.toPrecision has a range of 1 to 21. Number.toFixed and Number.toExponential have a range of 0 to 20.
    ]]></description></error>

  <error id="1003" label="kInvalidRadixError">The radix argument must be between 2 and 36; got %1.
     <description><![CDATA[
        You passed a value less than 2 or greater than 36 for the <code>radix</code> argument of a method or property.
        Pass a value between 2 and 36 as a <code>radix</code> argument.
    ]]></description>  </error>
  <error id="1004" label="kInvokeOnIncompatibleObjectError">Method %1 was invoked on an incompatible object.
<description><![CDATA[
        You tried to call a method that is not available to the specified object. This error occurs when
        you have copied a prototype function from one object to another, and then invoked it, but the
        target object is not the same type as the original object. Ensure that the target object and
        original object are the same type. See the ECMAScript Language Specification, 3rd Edition, Chapter 15 for more details.
    ]]></description></error>

  <!-- ISSUE jsshell reports "invalid array length" -->
<error id="1005" label="kArrayIndexNotIntegerError">Array index is not a positive integer (%1).
<description><![CDATA[
        You tried to access a member of an array using an index value that is not a positive integer. Pass only positive integers as index values for arrays.
    ]]></description></error>


<error id="1006" label="kCallOfNonFunctionError">%1 is not a function.
<description><![CDATA[
        This error occurs when you attempt to call a function that does not exist.
        Make sure you are calling the correct function, and that the API has
        not changed from ActionScript 2.0. Also, make sure you are using the correct
        object. For example, you will see this error when you use the following code
        (because the last line mistakenly calls the variable <code>big</code> instead
        of <code>blg</code>):

        <pre><code>var blg:String = "foo";
var big:Sprite = new Sprite();
var error:int = big.length(); </code></pre>
    ]]></description></error>
  <error id="1007" label="kConstructOfNonFunctionError">Instantiation attempted on a non-constructor.</error>
  <error id="1008" label="kAmbiguousBindingError">%1 is ambiguous; Found more than one matching binding.</error>
  <error id="1009" label="kConvertNullToObjectError">Cannot access a property or method of a null object reference.
<description><![CDATA[
    An object that evaluates to <code>null</code> can have no properties. This error can occur in some unexpected
    (though valid) situations. For example, consider the following code, which creates a Sprite
    object. Because this Sprite object is never added to the display list (through the
    <code>addChild()</code> method of a DisplayObjectContainer object), its <code>stage</code>
    property is set to <code>null</code>. Thus, the example generates this error because Sprite object's <code>stage</code> property
    cannot have any properties:

    <pre><code>import flash.display.Sprite;
var sprite1:Sprite = new Sprite();
var q:String = sprite1.stage.quality;</code></pre>
    ]]></description></error>

  <error id="1010" label="kConvertUndefinedToObjectError">A term is undefined and has no properties.
<description><![CDATA[
        This error can occur if you try to access a property of an object that does not exist. For example:
        <pre><code>var obj:Object = new Object();
obj.a = "foo";
trace(obj.b.prop);</code></pre>

        <p>You can also see this error because of a misspelling, for example in the following, where
        <code>mc</code> represents a MovieClip object in the display list, and the <code>stage</code>
        property is misspelled with a capital S (it should be <code>stage</code>):</p>

        <pre><code>trace(mc.Stage.quality);</code></pre>


    ]]></description></error>
  <error id="1011" label="kIllegalOpcodeError">Method %1 contained illegal opcode %2 at offset %3.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1012" label="kLastInstExceedsCodeSizeError">The last instruction exceeded code size.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1013" label="kFindVarWithNoScopeError">Cannot call OP_findproperty when scopeDepth is 0.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1014" label="kClassNotFoundError">Class %1 could not be found.</error>
   <error id="1015" label="kIllegalSetDxns">Method %1 cannot set default xml namespace
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1016" label="kDescendentsError">Descendants operator (..) not supported on type %1.</error>
   <error id="1017" label="kScopeStackOverflowError">Scope stack overflow occurred.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1018" label="kScopeStackUnderflowError">Scope stack underflow occurred.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1019" label="kGetScopeObjectBoundsError">Getscopeobject %1 is out of bounds.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>
   <error id="1020" label="kCannotFallOffMethodError">Code cannot fall off the end of a method.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1021" label="kInvalidBranchTargetError">At least one branch target was not on a valid instruction in the method.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1022" label="kIllegalVoidError">Type void may only be used as a function return type.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1023" label="kStackOverflowError">Stack overflow occurred.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1024" label="kStackUnderflowError">Stack underflow occurred.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1025" label="kInvalidRegisterError">An invalid register %1 was accessed.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1026" label="kSlotExceedsCountError">Slot %1 exceeds slotCount=%2 of %3.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1027" label="kMethodInfoExceedsCountError">Method_info %1 exceeds method_count=%2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1028" label="kDispIdExceedsCountError">Disp_id %1 exceeds max_disp_id=%2 of %3.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1029" label="kDispIdUndefinedError">Disp_id %1 is undefined on %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1030" label="kStackDepthUnbalancedError">Stack depth is unbalanced. %1 != %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1031" label="kScopeDepthUnbalancedError">Scope depth is unbalanced. %1 != %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1032" label="kCpoolIndexRangeError">Cpool index %1 is out of range %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1033" label="kCpoolEntryWrongTypeError">Cpool entry %1 is wrong type.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1034" label="kCheckTypeFailedError">Type Coercion failed: cannot convert %1 to %2.</error>

   <error id="1035" label="kIllegalSuperCallError">Illegal super expression found in method %1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <!-- <error id="1036" label="kUncaughtExceptionWarning">The VM exited due to an uncaught exception.</error> -->

   <error id="1037" label="kCannotAssignToMethodError">Cannot assign to a method %1 on %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


<error id="1038" label="kRedefinedError">%1 is already defined.
<description><![CDATA[
        You cannot declare a variable or function with the same identifier name more than once
        within the same scope.
        In ActionScript 3.0, different code blocks (such as those used in two <code>for</code> loops
        in the same <code>function</code> definition) are considered to be in the same scope.
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1039" label="kCannotVerifyUntilReferencedError">Cannot verify method until it is referenced.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1040" label="kCantUseInstanceofOnNonObjectError">The right-hand side of instanceof must be a class or function.
<description><![CDATA[
        The expression on the right side of the <code>instanceof</code> operator must be a class or function.
    ]]></description></error>
  <error id="1041" label="kIsTypeMustBeClassError">The right-hand side of operator must be a class.
<description><![CDATA[
        The expression on the right side of the <code>is</code> operator must be a class.
    ]]></description></error>
   <error id="1042" label="kInvalidMagicError">Not an ABC file.  major_version=%1 minor_version=%2.
<description><![CDATA[
You are attempting to use an  invalid file with the player: the tool that generates the SWF may be out of date or the SWF itself may be corrupt.
    ]]></description></error>
   <error id="1043" label="kInvalidCodeLengthError">Invalid code_length=%1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1044" label="kInvalidMethodInfoFlagsError">MethodInfo-%1 unsupported flags=%2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


 <error id="1045" label="kUnsupportedTraitsKindError">Unsupported traits kind=%1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1046" label="kMethodInfoOrderError">MethodInfo-%1 referenced before definition.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1047" label="kMissingEntryPointError">No entry point was found.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>
   <!--<error id="1048" label="kNativeMethodNotFoundError">Native method not found: %a.</error>-->

   <error id="1049" label="kPrototypeTypeError">Prototype objects must be vanilla Objects.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1050" label="kConvertToPrimitiveError">Cannot convert %1 to primitive.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1051" label="kIllegalEarlyBindingError">Illegal early binding access to %1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1052" label="kInvalidURIError">Invalid URI passed to %1 function.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1053" label="kIllegalOverrideError">Illegal override of %1 in %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1054" label="kIllegalExceptionHandlerError">Illegal range or target offsets in exception handler.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>
 <!-- obsolete
  <error id="1055" label="kHasNoPropertiesTypeError">%S has no properties</error>
  -->
  <error id="1056" label="kWriteSealedError">Cannot create property %1 on %2.
<description><![CDATA[
    You are trying to assign a value to a nonexistent property on an instance of a non-dynamic
    class. This is only possible for instances of dynamic classes]]></description></error>

 <error id="1057" label="kIllegalSlotError">%1 can only contain methods.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1058" label="kIllegalOperandTypeError">Illegal operand type: %1 must be %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1059" label="kClassInfoOrderError">ClassInfo-%1 is referenced before definition.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1060" label="kClassInfoExceedsCountError">ClassInfo %1 exceeds class_count=%2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


<error id="1061" label="kNumberOutOfRangeError">The value %1 cannot be converted to %2 without losing precision.
<description><![CDATA[

        This error appears if you attempt to assign a decimal number to a property that has data type
        int.

        <p>This error also appears for out-of-range assignments, such as the following:</p>

        <pre><code>var m0:int = 2147483648; // int.MAX_VALUE == 2147483647</code></pre>
        <p>You can also see this error when using the bitwise left shift operator (&lt&lt).
        For example, consider the following code:</p>

        <pre><code>var m0:uint = 0xFF;
var m1:uint = m0&lt&lt24;</code></pre>

        <p>The result of left shift operator (&lt&lt) is interpreted as a 32-bit two's complement number
        with sign. In the example, the result is a negative value, which causes the error when assigned
        to the uint typed property. A workaround is the following:</p>

        <pre><code>var m0:uint = 0xFF;
var m1:uint = uint(m0&lt;&lt;24);</code></pre>

    ]]></description></error>
   <!--<error id="1062" label="kPackageCircularityError">Package %a imported while being defined</error>-->
  <error id="1063" label="kWrongArgumentCountError">Argument count mismatch on %1. Expected %2, got %3.</error>
  <error id="1064" label="kCannotCallMethodAsConstructor">Cannot call method %1 as constructor.
  <description><![CDATA[
    Extracted methods are permanently bound to the object they are extracted from.
    Therefore, they can not later be called as a constructor. For example, the following
    creates function <code>f()</code> in Class A:
    <pre><code>class A {
       function f() {}
    }</code></pre>
    In the following code, extracting the function causes no error. However, creating
    a new instance of the function causes an error.
    <pre><code>var a = new A()
    var m = a.f // extract f, don't call it
    m() // same as a.f()
    new m() // causes this error</code></pre>

    ]]></description></error>
  <error id="1065" label="kUndefinedVarError">Variable %1 is not defined.
  <description><![CDATA[
    You are using an undefined lexical reference. For example, in the following statements, the
    statement <code>trace(x)</code> generates an error because <code>x</code> is undefined. However, the
    statement <code>trace(y)</code> doesn't generate an error because <code>y</code> is defined:
    <pre><code>trace("hello world")
    trace(x) // x is undefined
    var y
    trace(y) // No error, y is defined.</code></pre>
    ]]></description></error>
  <error id="1066" label="kFunctionConstructorError">The form function('function body') is not supported.
  <description><![CDATA[
    Unlike JavaScript, Flash does not compile code on-the-fly using <code>eval()</code> and
    <code>function()</code>.  Thus, calling these as a constructor in ActionScript 3.0 generates this error.
    ]]></description></error>

<error id="1067" label="kIllegalNativeMethodBodyError">Native method %1 has illegal method body.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


<error id="1068" label="kCannotMergeTypesError">%1 and %2 cannot be reconciled.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1069" label="kReadSealedError">Property %1 not found on %2 and there is no default value.
  <description><![CDATA[
    You are referencing an undefined property on a non-dynamic class instance. For example, the following generates this error when it references property
    <code>x</code>, which is not defined and cannot be created dynamically:
    <pre><code>class A {} // sealed class, not dynamic
    trace(new A().x) // no property x defined on A, and A is not dynamic</code></pre>
    ]]></description></error>
  <error id="1070" label="kCallNotFoundError">Method %1 not found on %2
  <description><![CDATA[
    You are using a <code>super</code> statement to call a function, but the function doesn't exist in the super class.
    For example, the following code generates the error:    <pre><code>class A() {}
class B extends A {
  function f() { trace(super.f()); } // error 1070, there is no f on A
}</code></pre>
    ]]></description></error>
  <error id="1071" label="kAlreadyBoundError">Function %1 has already been bound to %2.</error>

<error id="1072" label="kZeroDispIdError">Disp_id 0 is illegal.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1073" label="kDuplicateDispIdError">Non-override method %1 replaced because of duplicate disp_id %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

<error id="1074" label="kConstWriteError">Illegal write to read-only property %1 on %2.</error>
  <error id="1075" label="kMathNotFunctionError">Math is not a function.
  <description><![CDATA[
    You are trying to call <code>math()</code> as a function, but the Math class is a class with static methods.
    ]]></description></error>
  <error id="1076" label="kMathNotConstructorError">Math is not a constructor.
  <description><![CDATA[
    You can not instantiate the Math class.
    ]]></description></error>

  <error id="1077" label="kWriteOnlyError">Illegal read of write-only property %1 on %2.</error>
   <error id="1078" label="kIllegalOpMultinameError">Illegal opcode/multiname combination: %1&lt;%2&gt;.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1079" label="kIllegalNativeMethodError">Native methods are not allowed in loaded code.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1080" label="kIllegalNamespaceError">Illegal value for namespace.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


  <error id="1081" label="kReadSealedErrorNs">Property %1 not found on %2 and there is no default value.</error>
 <!--<error id="1081" label="kIllegalMultinameCallError">Illegal call to %1</error>-->

 <error id="1082" label="kNoDefaultNamespaceError">No default namespace has been set.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1083" label="kXMLPrefixNotBound">The prefix "%1" for element "%2" is not bound.
<description><![CDATA[
    An attribute name or element name has a prefix but no matching namespace was
    found. This statement generates an error because there is no <code>foo</code>
    namespace to match <code>foo:x</code>:<pre/>&lt;foo:x xmlns:clowns='http://circuscenter.org'&gt;</pre>
        ]]></description></error>

  <error id="1084" label="kXMLBadQName">Element or attribute ("%1") does not match QName production: QName::=(NCName':')?NCName.
<description><![CDATA[
    You have <code>foo: </code> or <code>:foo</code> as an element or attribute name, but there is nothing
    on the other side of the colon.
    ]]></description></error>
  <error id="1085" label="kXMLUnterminatedElementTag">The element type "%1" must be terminated by the matching end-tag "&lt;/%2&gt;".</error>
  <error id="1086" label="kXMLOnlyWorksWithOneItemLists">The %1 method only works on lists containing one item.
<description><![CDATA[
    The XMLList class propagates the XML-specific functions to one child if it has only one
    item in its list. If more than one item is in the list, the routines fail with this
    error. This happens for the following XMLList functions that mimic XML functions:
    <p><code>addNamespace</code>, <code>appendChild</code>,  <code>childIndex</code>,
    <code>inScopeNamespaces</code>,  <code>insertChildAfter</code>,  <code>insertChildBefore</code>,
    <code>name</code>,  <code>namespace</code>,  <code>localName</code>,  <code>namespaceDeclarations</code>,
    <code>nodeKind</code>,  <code>prependChild</code>,  <code>removeNamespace</code>,  <code>replace</code>,
    <code>setChildren</code>,  <code>setLocalName</code>,  <code>setName</code>,  and <code>setNamespace.

    ]]></description></error>
  <error id="1087" label="kXMLAssignmentToIndexedXMLNotAllowed">Assignment to indexed XML is not allowed.</error>
  <error id="1088" label="kXMLMarkupMustBeWellFormed">The markup in the document following the root element must be well-formed.
<description><![CDATA[
    These are possible causes of this error:
    <ul>
    <li>Parsing an XMLList style object as XML</li>
    <li>Misbalanced strings</li>
    </ul>
    ]]></description></error>

  <error id="1089" label="kXMLAssigmentOneItemLists">Assignment to lists with more than one item is not supported.</error>
  <error id="1090" label="kXMLMalformedElement">XML parser failure: element is malformed.
<description><![CDATA[
    An element name is malformed. This example of an element name is malformed because a
    trailing right angle bracket <code>></code> is missing:

    <pre>&lt;a/&gt;&lt;b&gt;&lt;/b</pre>    ]]></description></error>

  <error id="1091" label="kXMLUnterminatedCData">XML parser failure: Unterminated CDATA section.</error>
  <error id="1092" label="kXMLUnterminatedXMLDecl">XML parser failure: Unterminated XML declaration.</error>
  <error id="1093" label="kXMLUnterminatedDocTypeDecl">XML parser failure: Unterminated DOCTYPE declaration.</error>
  <error id="1094" label="kXMLUnterminatedComment">XML parser failure: Unterminated comment.</error>
  <error id="1095" label="kXMLUnterminatedAttribute">XML parser failure: Unterminated attribute.</error>
  <error id="1096" label="kXMLUnterminatedElement">XML parser failure: Unterminated element.</error>
  <error id="1097" label="kXMLUnterminatedProcessingInstruction">XML parser failure: Unterminated processing instruction.</error>
  <error id="1098" label="kXMLNamespaceWithPrefixAndNoURI">Illegal prefix %1 for no namespace.
<description><![CDATA[
    The namespace constructor throws this error if you try to pass in an empty URI with a
    non-empty prefix as in this example:

<pre>ns = new Namespace ("prefix", "");
    ]]></description></error>

  <!--<error id="1099" label="kNullArgumentError">Argument %s cannot be null.</error>-->
  <error id="1100" label="kRegExpFlagsArgumentError">Cannot supply flags when constructing one RegExp from another.
  <description><![CDATA[
    Creating a new regular expression from an existing one also copies its flags. To create a regular expression with
    different flags, use the <code>new</code> operator and set the flags as desired. For example, this statement
    creates a regular expression and specifies flag settings:
    <pre><code>var re:RegExp = new RegExp("ali", /s)</code></pre>
    Alternatively, this statement creates a regular expression that has the same flags as re:
    <pre><code>var re2:RegExp = new RegExp(re, ...)</code></pre>    ]]></description></error>

   <error id="1101" label="kNoScopeError">Cannot verify method %1 with unknown scope.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1102" label="kIllegalDefaultValue">Illegal default value for type %1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1103" label="kCannotExtendFinalClass">Class %1 cannot extend final base class.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1104" label="kXMLDuplicateAttribute">Attribute "%1" was already specified for element "%2".</error>
  <!--<error id="1105" label="kStringIndexOutOfBoundsError">The string index %d is out of bounds; must be in range %d to %d.</error>-->
  <!--<error id="1106" label="kInvalidRangeError">The range specified is invalid.</error>-->
  <error id="1107" label="kCorruptABCError">The ABC data is corrupt, attempt to read out of bounds.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1108" label="kInvalidBaseClassError">The OP_newclass opcode was used with the incorrect base class.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1109" label="kDanglingFunctionError">Attempt to directly call unbound function %1 from method %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1110" label="kCannotExtendError">%1 cannot extend %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1111" label="kCannotImplementError">%1 cannot implement %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1112" label="kCoerceArgumentCountError">Argument count mismatch on class coercion.  Expected 1, got %1.</error>
   <error id="1113" label="kInvalidNewActivationError">OP_newactivation used in method without NEED_ACTIVATION flag.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1114" label="kNoGlobalScopeError">OP_getglobalslot or OP_setglobalslot used with no global scope.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1115" label="kNotConstructorError">%1 is not a constructor.</error>
  <error id="1116" label="kApplyError">second argument to Function.prototype.apply must be an array.</error>
  <error id="1117" label="kXMLInvalidName">Invalid XML name: %1.</error>
  <error id="1118" label="kXMLIllegalCyclicalLoop">Illegal cyclical loop between nodes.</error>
  <error id="1119" label="kDeleteTypeError">Delete operator is not supported with operand of type %1.</error>
  <error id="1120" label="kDeleteSealedError">Cannot delete property %1 on %2.</error>
  <error id="1121" label="kDuplicateMethodBodyError">Method %1 has a duplicate method body.</error>
   <error id="1122" label="kIllegalInterfaceMethodBodyError">Interface method %1 has illegal method body.</error>
  <error id="1123" label="kFilterError">Filter operator not supported on type %1.</error>
  <error id="1124" label="kInvalidHasNextError">OP_hasnext2 requires object and index to be distinct registers.</error>
  <error id="1125" label="kOutOfRangeError">The index %1 is out of range %2.</error>
  <error id="1126" label="kVectorFixedError">Cannot change the length of a fixed Vector.</error>
  <error id="1127" label="kTypeAppOfNonParamType">Type application attempted on a non-parameterized type.</error>
  <error id="1128" label="kWrongTypeArgCountError">Incorrect number of type parameters for %1. Expected %2, got %3.</error>

  <!-- The following errors are specific to the AVM2 command-line shell.-->
  <error id="1500" hidden="true" label="kFileOpenError">Error occurred opening file %1.</error>
  <error id="1501" hidden="true" label="kFileWriteError">Error occurred writing to file %1.
        <description><![CDATA[
        The file you are writing to cannot be opened. Possibly the filename contains an error, the file is read-only, or
        you do not have access privileges.
        ]]></description>
        </error>
  <error id="1502" label="kScriptTimeoutError">A script has executed for longer than the default timeout period of 15 seconds.
        <description><![CDATA[
        A script executed after the timeout period. (The default timeout period is 15 seconds.) After this error occurs, the
        script can continue to execute for 15 seconds more, after which the script terminates and throws run-time error number 1503 (A script failed to exit after 30 seconds and was terminated.)
    ]]></description>
 </error>
  <error id="1503" label="kScriptTerminatedError">A script failed to exit after 30 seconds and was terminated.
      <description><![CDATA[
      The script was still executing after 30 seconds. Flash Player first throws run-time error number 1502 (A script has executed for longer than the default timeout period of 15 seconds.) if the script executed more than 15
      seconds, which is the default timeout period. This error occurs 15 seconds after Error 1502 occurs.
    ]]></description></error>
     <error id="1504" hidden="true" label="kEndOfFileError">End of file.
      <description><![CDATA[
      Flash Player unexpectedly encountered the end of the file. Possibly the file was not saved correctly or Flash Player expected more data
      in the file.
    ]]></description>
  </error>
  <error id="1505" hidden="true" label="kStringIndexOutOfBoundsError">The string index %1 is out of bounds; must be in range %2 to %3.</error>
  <error id="1506" hidden="true" label="kInvalidRangeError">The specified range is invalid.
    <description><![CDATA[
    The method's <code>start</code> parameter is greater than its <code>end</code> parameter.
    ]]></description></error>
  <error id="1507" label="kNullArgumentError">Argument %1 cannot be null.</error>
  <error id="1508" label="kInvalidArgumentError">The value specified for argument %1 is invalid.
  <description><![CDATA[
    You are possibly trying to pass the wrong data type. For example, the code
    <pre><code>public function doSomething(const:int):void {
    }
    this ["doSomething"] ("str")</code></pre>
    generates an error at runtime because <code>doSomething</code> is cast as an int data type. ]]></description></error>

  <error id="1510" label="kArrayFilterNonNullObjectError">When the callback argument is a method of a class, the optional this argument must be null.</error>
  <error id="2006" label="kParamRangeError">The supplied index is out of bounds.</error>
  <error id="2007" label="kNullPointerError">Parameter %1 must be non-null.</error>
  <error id="2008" label="kInvalidEnumError">Parameter %1 must be one of the accepted values.</error>
  <error id="2012" label="kCantInstantiateError">%1 class cannot be instantiated.</error>
  <error id="2030" label="kEOFError">End of file was encountered.</error>
  <error id="2058" label="kCompressedDataError">There was an error decompressing the data.</error>
</errors>
